> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# salutation

> GenericMDOProvider reads MDO lists with default settings

## "salutation" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'salutation'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/salutation
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("salutation", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo |
| -- | -------------- | --------- | --------- |
| 5  | Bedriftsøkonom |           |           |
| 19 | Diplomingeniør |           |           |
| 20 | Diplomøkonom   |           |           |
| 36 | Ingeniør       |           |           |
| 42 | Siviløkonom    |           |           |

## Related MDO Lists

* "salutationheadings"
* "salutationheadingswithallitem"
* "salutationheadingswithallitemwithnoselection"
* "salutationheadingswithnoselection"
* "salutationwithallitem"
* "salutationwithallitemwithnoselection"
* "salutationwithnoselection"


## Related topics

- [Salutation table](/en/database/tables/salutation.md)
- [SalutationGroupLink table](/en/database/tables/salutationgrouplink.md)
- [SalutationHeadingLink table](/en/database/tables/salutationheadinglink.md)
- [SuperOffice.WebApi.Data.PersonEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.PersonEntity.md)
- [Customer](/en/automation/crmscript/reference/CRMScript.Native.Customer.md)
- [SuperOffice.WebApi.Data.UserPreferenceStrings.Defaults](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.Defaults.md)
